#----------------------------------------------------#
# This script runs every game tick.
# All the map specific commands are called from here.
#
# Scripter: Liontack
# Called by tag: #main:tick
#----------------------------------------------------#



### Disable death messages in team          
execute as @p[team=!teammy] run team join teammy
xp set @a 0

### Open the bell door
execute if score @p bells_rung matches 1 run fill 92 234 207 92 235 207 air
execute if score b_apply_nightvision variables matches 1 run effect give @a night_vision 999999 1 true
#execute if score @p bells_rung matches 1 run recipe take @a *
#execute if score @p bells_rung matches 1 run recipe give @a minecraft:rabbit_stew_from_brown_mushroom
#execute if score @p bells_rung matches 1 run recipe give @a minecraft:rabbit_stew_from_red_mushroom
execute if score @p bells_rung matches 1 run attribute @p minecraft:generic.max_health base set 6
execute if score @p bells_rung matches 1 as @a at @s run playsound minecraft:voice.voice_1 voice @a ~ ~ ~ 999 1
execute if score @p bells_rung matches 1 run tellraw @a [{"color":"red", "text":"[Voice] "}, {"color":"white", "text":"We will start with a find the button in a maze to get these categories out of the way early. The button you are looking for is red. It should not be challenging to find the button."}]
scoreboard players set @a bells_rung 0

### Hover Stemister in start room
scoreboard players add i_auto_rotate variables 2
execute if score i_auto_rotate variables matches 360.. run scoreboard players remove i_auto_rotate variables 360
execute store result entity 99bc2291-579b-4564-af85-3add0d46ab5d Rotation[0] float 1.0 run scoreboard players get i_auto_rotate variables

execute if score b_hover_direction variables matches 0 if score i_hover variables matches ..23500 run scoreboard players set b_hover_direction variables 1
execute if score b_hover_direction variables matches 1 if score i_hover variables matches 23550.. run scoreboard players set b_hover_direction variables 0
execute if score b_hover_direction variables matches 1 run scoreboard players add i_hover variables 2
execute if score b_hover_direction variables matches 0 run scoreboard players remove i_hover variables 2
execute store result entity 99bc2291-579b-4564-af85-3add0d46ab5d Pos[1] double 0.01 run scoreboard players get i_hover variables

### Found the button
execute if entity @p[x=119, y=239, z=207, dx=1, dy=1, dz=1] if score b_speech_button_found variables matches 0 run scoreboard players set b_apply_nightvision variables 1
execute if entity @p[x=119, y=239, z=207, dx=1, dy=1, dz=1] if score b_speech_button_found variables matches 0 as @a at @s run playsound minecraft:voice.voice_2 voice @a ~ ~ ~ 999 1
execute if entity @p[x=119, y=239, z=207, dx=1, dy=1, dz=1] if score b_speech_button_found variables matches 0 run tellraw @a [{"color":"red", "text":"[Voice] "}, {"color":"white", "text":"Great! You found the button. Now please press it."}]
execute if entity @p[x=119, y=239, z=207, dx=1, dy=1, dz=1] run scoreboard players set b_speech_button_found variables 1

### Pushed the button
execute if entity @p[x=122, y=234, z=205, dx=1, dy=5, dz=11] if score b_pushed_button variables matches 0 run fill 123 234 205 123 241 216 air
execute if entity @p[x=122, y=234, z=205, dx=1, dy=5, dz=11] if score b_pushed_button variables matches 0 as @a at @s run playsound minecraft:voice.voice_3 voice @a ~ ~ ~ 999 1
execute if entity @p[x=122, y=234, z=205, dx=1, dy=5, dz=11] if score b_pushed_button variables matches 0 run tellraw @a [{"color":"red", "text":"[Voice] "}, {"color":"white", "text":"You are stuck now. There is no way to leaf."}]
execute if entity @p[x=122, y=234, z=205, dx=1, dy=5, dz=11] if score b_pushed_button variables matches 0 run scoreboard players set b_pushed_button variables 1

### Inside the leaf
execute if entity @p[x=145, y=233, z=220, dx=1, dy=1, dz=1] run scoreboard players set b_leaf_timer_on variables 1
execute if score b_leaf_timer_on variables matches 1 run scoreboard players add i_leaf_timer variables 1
execute if score i_leaf_timer variables matches 10 run playsound minecraft:voice.voice_4 voice @a ~ ~ ~ 999 1
execute if score i_leaf_timer variables matches 10 run tellraw @a [{"color":"red", "text":"[Voice] "}, {"color":"white", "text":"I can not be-leaf that you tried to escape. I will give you an escape, if that is what you want. Only one of these inputs will open the door. All the other inputs put you back in the maze."}]
execute if score i_leaf_timer variables matches 10 run setblock 202 238 211 redstone_block
execute if score i_leaf_timer variables matches 100 run tp @a 192.0 231.00 212.0 270 0
execute if score i_leaf_timer variables matches 200 run fill 190 230 210 193 233 213 air replace glass
execute if score i_leaf_timer variables matches 2000 run tellraw @a [{"color":"aqua", "text":"[Info] "}, {"color":"white", "text":"There is no wrong answer. Just pick one, not more than one."}]
execute if score i_leaf_timer variables matches 2001 run scoreboard players set b_leaf_timer_on variables 0



### Button/lever choosing
execute if score b_correct_input_chosen variables matches 0 unless blocks 177 214 209 182 254 214 189 214 209 all if score i_leaf_timer variables matches 201.. run scoreboard players set b_correct_input_chosen variables 1
execute if score b_correct_input_chosen variables matches 1 if score b_correct_input_cloned variables matches 0 run scoreboard players set b_leaf_timer_on variables 0
execute if score b_correct_input_chosen variables matches 1 if score b_correct_input_cloned variables matches 0 run fill 195 231 211 195 232 212 air
execute if score b_correct_input_chosen variables matches 1 if score b_correct_input_cloned variables matches 0 run setblock 195 231 211 iron_door[facing=south,half=lower,hinge=right]
execute if score b_correct_input_chosen variables matches 1 if score b_correct_input_cloned variables matches 0 run setblock 195 232 211 iron_door[facing=south,half=upper,hinge=right]
execute if score b_correct_input_chosen variables matches 1 if score b_correct_input_cloned variables matches 0 run setblock 195 231 212 iron_door[facing=north,half=lower,hinge=left]
execute if score b_correct_input_chosen variables matches 1 if score b_correct_input_cloned variables matches 0 run setblock 195 232 212 iron_door[facing=north,half=upper,hinge=left]
execute if score b_correct_input_chosen variables matches 1 if score b_correct_input_cloned variables matches 0 as @a at @s run playsound minecraft:voice.voice_5 voice @a ~ ~ ~ 999 1
execute if score b_correct_input_chosen variables matches 1 if score b_correct_input_cloned variables matches 0 run tellraw @a [{"color":"red", "text":"[Voice] "}, {"color":"white", "text":"You got it right on your first try? Impressive. You must be good at puzzles. You should host this dinner. All the guests are picky."}]
execute if score b_correct_input_chosen variables matches 1 if score b_correct_input_cloned variables matches 0 run tellraw @a [{"color":"aqua", "text":"[Info] "}, {"color":"white", "text":"Just drop the guests on their chairs and the food on the table. None of the guests will walk away from a free meal!"}]
execute if score b_correct_input_chosen variables matches 1 if score b_correct_input_cloned variables matches 0 run give @a glass 32
execute if score b_correct_input_chosen variables matches 1 run scoreboard players set b_correct_input_cloned variables 1



### Show location
execute at @p as @e[type=minecraft:armor_stand, distance=..3, sort=nearest, limit=1] if data entity @s {HandItems:[{id:"minecraft:lever", Count: 1b},{}]} run scoreboard players set i_current_area variables 1
execute at @p as @e[type=minecraft:armor_stand, distance=..3, sort=nearest, limit=1] if data entity @s {HandItems:[{id:"minecraft:apple", Count: 1b},{}]} run scoreboard players set i_current_area variables 2
execute at @p as @e[type=minecraft:armor_stand, distance=..3, sort=nearest, limit=1] if data entity @s {HandItems:[{id:"minecraft:smoker", Count: 1b},{}]} run scoreboard players set i_current_area variables 3
execute at @p as @e[type=minecraft:armor_stand, distance=..3, sort=nearest, limit=1] if data entity @s {HandItems:[{id:"minecraft:sugar", Count: 1b},{}]} run scoreboard players set i_current_area variables 10
execute at @p as @e[type=minecraft:armor_stand, distance=..3, sort=nearest, limit=1] if data entity @s {HandItems:[{id:"minecraft:warped_planks", Count: 1b},{}]} run scoreboard players set i_current_area variables 11
execute at @p as @e[type=minecraft:armor_stand, distance=..3, sort=nearest, limit=1] if data entity @s {HandItems:[{id:"minecraft:crimson_planks", Count: 1b},{}]} run scoreboard players set i_current_area variables 12
execute at @p as @e[type=minecraft:armor_stand, distance=..3, sort=nearest, limit=1] if data entity @s {HandItems:[{id:"minecraft:shulker_box", Count: 1b},{}]} run scoreboard players set i_current_area variables 13
execute at @p as @e[type=minecraft:armor_stand, distance=..3, sort=nearest, limit=1] if data entity @s {HandItems:[{id:"minecraft:bamboo", Count: 1b},{}]} run scoreboard players set i_current_area variables 14
execute at @p as @e[type=minecraft:armor_stand, distance=..3, sort=nearest, limit=1] if data entity @s {HandItems:[{id:"minecraft:ladder", Count: 1b},{}]} run scoreboard players set i_current_area variables 15
execute at @p as @e[type=minecraft:armor_stand, distance=..3, sort=nearest, limit=1] if data entity @s {HandItems:[{id:"minecraft:redstone_block", Count: 1b},{}]} run scoreboard players set i_current_area variables 16
execute at @p as @e[type=minecraft:armor_stand, distance=..3, sort=nearest, limit=1] if data entity @s {HandItems:[{id:"minecraft:glass_pane", Count: 1b},{}]} run scoreboard players set i_current_area variables 17
execute at @p as @e[type=minecraft:armor_stand, distance=..3, sort=nearest, limit=1] if data entity @s {HandItems:[{id:"minecraft:lantern", Count: 1b},{}]} run scoreboard players set i_current_area variables 18
execute at @p as @e[type=minecraft:armor_stand, distance=..3, sort=nearest, limit=1] if data entity @s {HandItems:[{id:"minecraft:bucket", Count: 1b},{}]} run scoreboard players set i_current_area variables 20
execute at @p as @e[type=minecraft:armor_stand, distance=..3, sort=nearest, limit=1] if data entity @s {HandItems:[{id:"minecraft:potion", Count: 1b},{}]} run scoreboard players set i_current_area variables 21
execute at @p as @e[type=minecraft:armor_stand, distance=..3, sort=nearest, limit=1] if data entity @s {HandItems:[{id:"minecraft:slime_block", Count: 1b},{}]} run scoreboard players set i_current_area variables 23
execute at @p as @e[type=minecraft:armor_stand, distance=..3, sort=nearest, limit=1] if data entity @s {HandItems:[{id:"minecraft:water_bucket", Count: 1b},{}]} run scoreboard players set i_current_area variables 22
execute at @p as @e[type=minecraft:armor_stand, distance=..3, sort=nearest, limit=1] if data entity @s {HandItems:[{id:"minecraft:cobweb", Count: 1b},{}]} run scoreboard players set i_current_area variables 24
execute at @p as @e[type=minecraft:armor_stand, distance=..3, sort=nearest, limit=1] if data entity @s {HandItems:[{id:"minecraft:lava_bucket", Count: 1b},{}]} run scoreboard players set i_current_area variables 25
execute at @p as @e[type=minecraft:armor_stand, distance=..3, sort=nearest, limit=1] if data entity @s {HandItems:[{id:"minecraft:honey_block", Count: 1b},{}]} run scoreboard players set i_current_area variables 26
execute at @p as @e[type=minecraft:armor_stand, distance=..3, sort=nearest, limit=1] if data entity @s {HandItems:[{id:"minecraft:target", Count: 1b},{}]} run scoreboard players set i_current_area variables 27
execute at @p as @e[type=minecraft:armor_stand, distance=..3, sort=nearest, limit=1] if data entity @s {HandItems:[{id:"minecraft:spruce_boat", Count: 1b},{}]} run scoreboard players set i_current_area variables 28

execute if score i_current_area variables matches 1 run title @p actionbar {"text":"Column of buttons and levers"}
execute if score i_current_area variables matches 2 run title @p actionbar {"text":"Dining room"}
execute if score i_current_area variables matches 3 run title @p actionbar {"text":"Kitchen"}
execute if score i_current_area variables matches 10 run title @p actionbar {"text":"Hall of parkour"}
execute if score i_current_area variables matches 11 run title @p actionbar {"text":"Easy parkour"}
execute if score i_current_area variables matches 12 run title @p actionbar {"text":"Hard parkour"}
execute if score i_current_area variables matches 13 run title @p actionbar {"text":"Shulkerbox parkour"}
execute if score i_current_area variables matches 14 run title @p actionbar {"text":"Bamboo parkour"}
execute if score i_current_area variables matches 15 run title @p actionbar {"text":"Ladders and slimes parkour"}
execute if score i_current_area variables matches 16 run title @p actionbar {"text":"Redstone parkour"}
execute if score i_current_area variables matches 17 run title @p actionbar {"text":"Glass headache parkour"}
execute if score i_current_area variables matches 18 run title @p actionbar {"text":"Lantern parkour"}
execute if score i_current_area variables matches 20 run title @p actionbar {"text":"Hall of droppers"}
execute if score i_current_area variables matches 21 run title @p actionbar {"text":"Slow falling dropper"}
execute if score i_current_area variables matches 22 run title @p actionbar {"text":"Water dropper"}
execute if score i_current_area variables matches 23 run title @p actionbar {"text":"Slime dropper"}
execute if score i_current_area variables matches 24 run title @p actionbar {"text":"Cobweb dropper"}
execute if score i_current_area variables matches 25 run title @p actionbar {"text":"Lava dropper"}
execute if score i_current_area variables matches 26 run title @p actionbar {"text":"Honey dropper"}
execute if score i_current_area variables matches 27 run title @p actionbar {"text":"Target dropper"}
execute if score i_current_area variables matches 28 run title @p actionbar {"text":"Boat dropper"}

### Location based changes
execute if score i_current_area variables matches 20 run effect give @a speed 99999 8 true
execute unless score i_current_area variables matches 20 run effect clear @a speed

gamerule fallDamage false
execute if score i_current_area variables matches 20..29 run gamerule fallDamage true

execute if score i_current_area variables matches 10 if score b_fact_parkour variables matches 0 as @a at @s run playsound minecraft:voice.voice_parkour_fact voice @a ~ ~ ~ 999 1
execute if score i_current_area variables matches 10 if score b_fact_parkour variables matches 0 run tellraw @a [{"color":"red", "text":"[Voice] "}, {"color":"white", "text":"Fun parkour fact: You can jump up to a maximum of 1.25 blocks high and over a 2 block gap. When sprinting you can get over a 4 block gap, and sprinting with momentum will increase your distance. The longer you keep momentum, the longer this distance gets."}]
execute if score i_current_area variables matches 10 if score b_fact_parkour variables matches 0 run scoreboard players set b_fact_parkour variables 1
execute if score i_current_area variables matches 20 if score b_fact_dropper variables matches 0 as @a at @s run playsound minecraft:voice.voice_dropper_fact voice @a ~ ~ ~ 999 1
execute if score i_current_area variables matches 20 if score b_fact_dropper variables matches 0 run tellraw @a [{"color":"red", "text":"[Voice] "}, {"color":"white", "text":"Fun dropper fact: A 250 block dropper takes about 5 seconds while you get a constant acceleration of 0.08 blocks per tick squared."}]
execute if score i_current_area variables matches 20 if score b_fact_dropper variables matches 0 run scoreboard players set b_fact_dropper variables 1
execute if entity @p[x=245,y=230,z=186,dx=1,dy=1,dz=1] if score b_hard_backflip variables matches 0 as @a at @s run playsound minecraft:voice.voice_backflip voice @a ~ ~ ~ 999 1
execute if entity @p[x=245,y=230,z=186,dx=1,dy=1,dz=1] if score b_hard_backflip variables matches 0 run tellraw @a [{"color":"red", "text":"[Voice] "}, {"color":"white", "text":"A backflip while jumping is not needed. Please make the jump. If a backflip is too hard, make the jump without."}]
execute if entity @p[x=245,y=230,z=186,dx=1,dy=1,dz=1] if score b_hard_backflip variables matches 0 run scoreboard players set b_hard_backflip variables 1

effect clear @e slow_falling
effect give @e[type=player, x=216,y=0,z=231,dx=35,dy=30,dz=35] slow_falling 999999 2 true

clear @a crossbow{Charged:0b}
clear @a spectral_arrow
execute store result score inv_crossbow variables run clear @p minecraft:crossbow 0
execute if score inv_crossbow variables matches 0 as @a at @s as @e[type=minecraft:armor_stand, limit=1, sort=nearest, distance=..5] if entity @s[tag=give_crossbow] at @s run give @a[limit=1, sort=nearest] crossbow{ChargedProjectiles:[{id:"minecraft:spectral_arrow", Count:1b}], Charged:1b}
execute if score inv_crossbow variables matches 1 as @a at @s as @e[type=minecraft:armor_stand, limit=1, sort=nearest, distance=..5] if entity @s[tag=!give_crossbow] at @s run clear @a[limit=1, sort=nearest] crossbow{Charged:1b}
execute as @e[type=minecraft:spectral_arrow, x=228.9,y=0,z=366.9,dx=0.2,dy=1.1,dz=0.2, nbt={life:0s}] run data modify entity @s life set value 1100
execute as @e[type=minecraft:spectral_arrow, x=228.9,y=0,z=366.9,dx=0.2,dy=1.1,dz=0.2, nbt={life:0s}] run data modify entity @s pickup set value 0b
execute if entity @e[type=minecraft:spectral_arrow, x=228.9,y=0,z=366.9,dx=0.2,dy=1.1,dz=0.2] run tp @a 229.5 2.00 367.5
execute if score i_current_area variables matches 27 if entity @e[type=minecraft:spectral_arrow, x=228.9,y=0,z=366.9,dx=0.2,dy=1.1,dz=0.2] run gamerule fallDamage false
execute if score i_current_area variables matches 27 unless entity @e[type=minecraft:spectral_arrow, x=228.9,y=0,z=366.9,dx=0.2,dy=1.1,dz=0.2] run gamerule fallDamage true

execute as @a[x=190,y=213,z=212,dx=1,dy=2.0,dz=1] at @s if entity @e[type=endermite, distance=..2] run tellraw @a [{"color":"red", "text":"[Endermite] "}, {"color":"white", "text":"I am not stuck here. How dare you to even think that! I am plain and simple lazy. Give me a ride, will ya."}]
execute as @a[x=190,y=213,z=212,dx=1,dy=2.0,dz=1] at @s if entity @e[type=endermite, distance=..2] run give @a scute{CustomModelData:16015, display:{Name:'{"text":"Endermite"}'}}
execute as @a[x=190,y=213,z=212,dx=1,dy=2.0,dz=1] at @s if entity @e[type=endermite, distance=..2] as a606f122-ae4d-4b93-ad6f-f59565a1625a at @s run tp ~ ~-20 ~

effect give @e[type=player, x=176,y=50,z=353,dx=32,dy=50,dz=32] slow_falling 999999 1 true
effect give @e[type=player, x=216,y=16,z=312,dx=32,dy=48,dz=32] slow_falling 999999 1 true



### Cooking hoglin meat
execute if block 233 231 212 smoker{Items:[{Slot:0b, id:"minecraft:porkchop", tag:{display:{Name:'{"text":"Hoglin meat"}'}}}]} run clone 232 237 212 232 237 212 233 231 212
execute if block 233 231 213 smoker{Items:[{Slot:0b, id:"minecraft:porkchop", tag:{display:{Name:'{"text":"Hoglin meat"}'}}}]} run clone 232 237 213 232 237 213 233 231 213
execute if block 233 231 214 smoker{Items:[{Slot:0b, id:"minecraft:porkchop", tag:{display:{Name:'{"text":"Hoglin meat"}'}}}]} run clone 232 237 214 232 237 214 233 231 214



### Put mobs and food on the table
execute as @e[type=item, nbt={Item:{id:"minecraft:scute", tag:{CustomModelData:16003}}, OnGround:1b}] at @s as @e[type=armor_stand, tag=dinnertable_spot, distance=..1, sort=nearest, limit=1] at @s if entity @s[nbt={HandItems:[{id:"minecraft:glass"},{}]}] run summon blaze ~ ~0.5 ~ {NoAI:1, Silent:1, Invulnerable:1, PersistenceRequired:1, DeathLootTable:"minecraft:empty"}
execute as @e[type=item, nbt={Item:{id:"minecraft:scute", tag:{CustomModelData:16005}}, OnGround:1b}] at @s as @e[type=armor_stand, tag=dinnertable_spot, distance=..1, sort=nearest, limit=1] at @s if entity @s[nbt={HandItems:[{id:"minecraft:glass"},{}]}] run summon cave_spider ~ ~0.5 ~ {NoAI:1, Silent:1, Invulnerable:1, PersistenceRequired:1, DeathLootTable:"minecraft:empty"}
execute as @e[type=item, nbt={Item:{id:"minecraft:scute", tag:{CustomModelData:16008}}, OnGround:1b}] at @s as @e[type=armor_stand, tag=dinnertable_spot, distance=..1, sort=nearest, limit=1] at @s if entity @s[nbt={HandItems:[{id:"minecraft:glass"},{}]}] run summon cow ~ ~0.5 ~ {NoAI:1, Silent:1, Invulnerable:1, PersistenceRequired:1, DeathLootTable:"minecraft:empty"}
execute as @e[type=item, nbt={Item:{id:"minecraft:scute", tag:{CustomModelData:16009}}, OnGround:1b}] at @s as @e[type=armor_stand, tag=dinnertable_spot, distance=..1, sort=nearest, limit=1] at @s if entity @s[nbt={HandItems:[{id:"minecraft:glass"},{}]}] run summon creeper ~ ~0.5 ~ {NoAI:1, Silent:1, Invulnerable:1, PersistenceRequired:1, DeathLootTable:"minecraft:empty"}
execute as @e[type=item, nbt={Item:{id:"minecraft:scute", tag:{CustomModelData:16015}}, OnGround:1b}] at @s as @e[type=armor_stand, tag=dinnertable_spot, distance=..1, sort=nearest, limit=1] at @s if entity @s[nbt={HandItems:[{id:"minecraft:glass"},{}]}] run summon endermite ~ ~0.5 ~ {NoAI:1, Silent:1, Invulnerable:1, PersistenceRequired:1, DeathLootTable:"minecraft:empty"}
execute as @e[type=item, nbt={Item:{id:"minecraft:scute", tag:{CustomModelData:16017}}, OnGround:1b}] at @s as @e[type=armor_stand, tag=dinnertable_spot, distance=..1, sort=nearest, limit=1] at @s if entity @s[nbt={HandItems:[{id:"minecraft:glass"},{}]}] run summon fox ~ ~0.5 ~ {Sitting:1, NoAI:1, Silent:1, Invulnerable:1, PersistenceRequired:1, DeathLootTable:"minecraft:empty"}
execute as @e[type=item, nbt={Item:{id:"minecraft:scute", tag:{CustomModelData:16029}}, OnGround:1b}] at @s as @e[type=armor_stand, tag=dinnertable_spot, distance=..1, sort=nearest, limit=1] at @s if entity @s[nbt={HandItems:[{id:"minecraft:glass"},{}]}] run summon parrot ~ ~1.5 ~ {NoAI:1, Silent:1, Invulnerable:1, PersistenceRequired:1, DeathLootTable:"minecraft:empty"}
execute as @e[type=item, nbt={Item:{id:"minecraft:scute", tag:{CustomModelData:16033}}, OnGround:1b}] at @s as @e[type=armor_stand, tag=dinnertable_spot, distance=..1, sort=nearest, limit=1] at @s if entity @s[nbt={HandItems:[{id:"minecraft:glass"},{}]}] run summon piglin_brute ~ ~0.5 ~ {NoAI:1, Silent:1, Invulnerable:1, PersistenceRequired:1, DeathLootTable:"minecraft:empty"}
execute as @e[type=item, nbt={Item:{id:"minecraft:scute", tag:{CustomModelData:16037}}, OnGround:1b}] at @s as @e[type=armor_stand, tag=dinnertable_spot, distance=..1, sort=nearest, limit=1] at @s if entity @s[nbt={HandItems:[{id:"minecraft:glass"},{}]}] run summon rabbit ~ ~0.5 ~ {RabbitType:5, NoAI:1, Silent:1, Invulnerable:1, PersistenceRequired:1, DeathLootTable:"minecraft:empty"}
execute as @e[type=item, nbt={Item:{id:"minecraft:scute", tag:{CustomModelData:16053}}, OnGround:1b}] at @s as @e[type=armor_stand, tag=dinnertable_spot, distance=..1, sort=nearest, limit=1] at @s if entity @s[nbt={HandItems:[{id:"minecraft:glass"},{}]}] run summon vex ~ ~1.5 ~ {NoAI:1, Silent:1, Invulnerable:1, PersistenceRequired:1, DeathLootTable:"minecraft:empty"}
execute as @e[type=item, nbt={Item:{id:"minecraft:scute", tag:{CustomModelData:16055}}, OnGround:1b}] at @s as @e[type=armor_stand, tag=dinnertable_spot, distance=..1, sort=nearest, limit=1] at @s if entity @s[nbt={HandItems:[{id:"minecraft:glass"},{}]}] run summon vindicator ~ ~0.5 ~ {NoAI:1, Silent:1, Invulnerable:1, PersistenceRequired:1, DeathLootTable:"minecraft:empty"}
execute as @e[type=item, nbt={Item:{id:"minecraft:scute", tag:{CustomModelData:16057}}, OnGround:1b}] at @s as @e[type=armor_stand, tag=dinnertable_spot, distance=..1, sort=nearest, limit=1] at @s if entity @s[nbt={HandItems:[{id:"minecraft:glass"},{}]}] run summon witch ~ ~0.5 ~ {NoAI:1, Silent:1, Invulnerable:1, PersistenceRequired:1, DeathLootTable:"minecraft:empty"}
execute as @e[type=item, nbt={Item:{id:"minecraft:scute", tag:{CustomModelData:16004002}}, OnGround:1b}] at @s as @e[type=armor_stand, tag=dinnertable_spot, distance=..1, sort=nearest, limit=1] at @s if entity @s[nbt={HandItems:[{id:"minecraft:glass"},{}]}] run summon cat ~ ~0.5 ~ {CatType:2, NoAI:1, Silent:1, Invulnerable:1, PersistenceRequired:1, DeathLootTable:"minecraft:empty"}
execute as @e[type=item, nbt={Item:{id:"minecraft:scute", tag:{CustomModelData:16004005}}, OnGround:1b}] at @s as @e[type=armor_stand, tag=dinnertable_spot, distance=..1, sort=nearest, limit=1] at @s if entity @s[nbt={HandItems:[{id:"minecraft:glass"},{}]}] run summon cat ~ ~0.5 ~ {CatType:5, NoAI:1, Silent:1, Invulnerable:1, PersistenceRequired:1, DeathLootTable:"minecraft:empty"}
execute as @e[type=item, nbt={Item:{id:"minecraft:scute", tag:{CustomModelData:16004009}}, OnGround:1b}] at @s as @e[type=armor_stand, tag=dinnertable_spot, distance=..1, sort=nearest, limit=1] at @s if entity @s[nbt={HandItems:[{id:"minecraft:glass"},{}]}] run summon cat ~ ~0.5 ~ {CatType:9, NoAI:1, Silent:1, Invulnerable:1, PersistenceRequired:1, DeathLootTable:"minecraft:empty"}
#execute as @e[type=item, nbt={Item:{id:"minecraft:cake"}, OnGround:1b}] at @s as @e[type=armor_stand, tag=dinnertable_spot, distance=..1, sort=nearest, limit=1] at @s if entity @s[nbt={HandItems:[{id:"minecraft:glass"},{}]}] run setblock ~ 234 ~ birch_sapling

execute as @e[type=item, nbt={OnGround:1b}] at @s as @e[type=armor_stand, tag=dinnertable_spot, distance=..1, sort=nearest, limit=1] at @s if entity @s[nbt={HandItems:[{id:"minecraft:glass"},{}]}] run data modify entity @s HandItems[0] set value {}

execute as @e[type=item, nbt={Item:{id:"minecraft:scute", tag:{CustomModelData:16003}}, OnGround:1b}] at @s if entity @e[type=blaze, distance=..1] run kill @s
execute as @e[type=item, nbt={Item:{id:"minecraft:scute", tag:{CustomModelData:16005}}, OnGround:1b}] at @s if entity @e[type=cave_spider, distance=..1] run kill @s
execute as @e[type=item, nbt={Item:{id:"minecraft:scute", tag:{CustomModelData:16008}}, OnGround:1b}] at @s if entity @e[type=cow, distance=..1] run kill @s
execute as @e[type=item, nbt={Item:{id:"minecraft:scute", tag:{CustomModelData:16009}}, OnGround:1b}] at @s if entity @e[type=creeper, distance=..1] run kill @s
execute as @e[type=item, nbt={Item:{id:"minecraft:scute", tag:{CustomModelData:16015}}, OnGround:1b}] at @s if entity @e[type=endermite, distance=..1] run kill @s
execute as @e[type=item, nbt={Item:{id:"minecraft:scute", tag:{CustomModelData:16017}}, OnGround:1b}] at @s if entity @e[type=fox, distance=..1] run kill @s
execute as @e[type=item, nbt={Item:{id:"minecraft:scute", tag:{CustomModelData:16029}}, OnGround:1b}] at @s if entity @e[type=parrot, distance=..2] run kill @s
execute as @e[type=item, nbt={Item:{id:"minecraft:scute", tag:{CustomModelData:16033}}, OnGround:1b}] at @s if entity @e[type=piglin_brute, distance=..1] run kill @s
execute as @e[type=item, nbt={Item:{id:"minecraft:scute", tag:{CustomModelData:16037}}, OnGround:1b}] at @s if entity @e[type=rabbit, distance=..1] run kill @s
execute as @e[type=item, nbt={Item:{id:"minecraft:scute", tag:{CustomModelData:16053}}, OnGround:1b}] at @s if entity @e[type=vex, distance=..2] run kill @s
execute as @e[type=item, nbt={Item:{id:"minecraft:scute", tag:{CustomModelData:16055}}, OnGround:1b}] at @s if entity @e[type=vindicator, distance=..1] run kill @s
execute as @e[type=item, nbt={Item:{id:"minecraft:scute", tag:{CustomModelData:16057}}, OnGround:1b}] at @s if entity @e[type=witch, distance=..1] run kill @s
execute as @e[type=item, nbt={Item:{id:"minecraft:scute", tag:{CustomModelData:16004002}}, OnGround:1b}] at @s if entity @e[type=cat, nbt={CatType:2}, distance=..1] run kill @s
execute as @e[type=item, nbt={Item:{id:"minecraft:scute", tag:{CustomModelData:16004005}}, OnGround:1b}] at @s if entity @e[type=cat, nbt={CatType:5}, distance=..1] run kill @s
execute as @e[type=item, nbt={Item:{id:"minecraft:scute", tag:{CustomModelData:16004009}}, OnGround:1b}] at @s if entity @e[type=cat, nbt={CatType:9}, distance=..1] run kill @s
#execute as @e[type=item, nbt={Item:{id:"minecraft:cake"}, OnGround:1b}] at @s if block ~ 234 ~ birch_sapling run kill @s

execute as @e[type=item, nbt={OnGround:1b}, tag=!on_dinner_table] at @s if entity @e[type=armor_stand, tag=dinnertable_spot, distance=..1, sort=nearest, limit=1] run tag @s add on_dinner_table
execute as @e[type=item, tag=on_dinner_table] run data merge entity @s {NoGravity:1}
execute as @e[type=item, tag=on_dinner_table] run data modify entity @s Motion set value [0.0d, 0.0d, 0.0d]
execute as @e[type=item, tag=on_dinner_table] run data modify entity @s PickupDelay set value 100s
execute as @e[type=item, tag=on_dinner_table] run data modify entity @s Age set value 0s
execute as @e[type=item, tag=on_dinner_table] run tp @s @e[type=armor_stand, tag=dinnertable_spot, distance=..1, sort=nearest, limit=1]

# Undo place mob/food
execute as @e[type=item, nbt={Item:{id:"minecraft:glass"}, OnGround:1b}] at @s as @e[type=armor_stand, tag=dinnertable_spot, distance=..1, sort=nearest, limit=1] at @s if entity @s[nbt=!{HandItems:[{id:"minecraft:glass"},{}]}] as @e[type=!armor_stand, type=!player, type=!item, distance=..1, sort=nearest, limit=1] if entity @s[type=blaze] run give @p scute{CustomModelData:16003, display:{Name:'{"text":"Blaze"}'}}
execute as @e[type=item, nbt={Item:{id:"minecraft:glass"}, OnGround:1b}] at @s as @e[type=armor_stand, tag=dinnertable_spot, distance=..1, sort=nearest, limit=1] at @s if entity @s[nbt=!{HandItems:[{id:"minecraft:glass"},{}]}] as @e[type=!armor_stand, type=!player, type=!item, distance=..1, sort=nearest, limit=1] if entity @s[type=cave_spider] run give @p scute{CustomModelData:16005, display:{Name:'{"text":"Cave spider"}'}}
execute as @e[type=item, nbt={Item:{id:"minecraft:glass"}, OnGround:1b}] at @s as @e[type=armor_stand, tag=dinnertable_spot, distance=..1, sort=nearest, limit=1] at @s if entity @s[nbt=!{HandItems:[{id:"minecraft:glass"},{}]}] as @e[type=!armor_stand, type=!player, type=!item, distance=..1, sort=nearest, limit=1] if entity @s[type=cow] run give @p scute{CustomModelData:16008, display:{Name:'{"text":"Cow"}'}}
execute as @e[type=item, nbt={Item:{id:"minecraft:glass"}, OnGround:1b}] at @s as @e[type=armor_stand, tag=dinnertable_spot, distance=..1, sort=nearest, limit=1] at @s if entity @s[nbt=!{HandItems:[{id:"minecraft:glass"},{}]}] as @e[type=!armor_stand, type=!player, type=!item, distance=..1, sort=nearest, limit=1] if entity @s[type=creeper] run give @p scute{CustomModelData:16009, display:{Name:'{"text":"Creeper"}'}}
execute as @e[type=item, nbt={Item:{id:"minecraft:glass"}, OnGround:1b}] at @s as @e[type=armor_stand, tag=dinnertable_spot, distance=..1, sort=nearest, limit=1] at @s if entity @s[nbt=!{HandItems:[{id:"minecraft:glass"},{}]}] as @e[type=!armor_stand, type=!player, type=!item, distance=..1, sort=nearest, limit=1] if entity @s[type=endermite] run give @p scute{CustomModelData:16015, display:{Name:'{"text":"Endermite"}'}}
execute as @e[type=item, nbt={Item:{id:"minecraft:glass"}, OnGround:1b}] at @s as @e[type=armor_stand, tag=dinnertable_spot, distance=..1, sort=nearest, limit=1] at @s if entity @s[nbt=!{HandItems:[{id:"minecraft:glass"},{}]}] as @e[type=!armor_stand, type=!player, type=!item, distance=..1, sort=nearest, limit=1] if entity @s[type=fox] run give @p scute{CustomModelData:16017, display:{Name:'{"text":"Fox"}'}}
execute as @e[type=item, nbt={Item:{id:"minecraft:glass"}, OnGround:1b}] at @s as @e[type=armor_stand, tag=dinnertable_spot, distance=..1, sort=nearest, limit=1] at @s if entity @s[nbt=!{HandItems:[{id:"minecraft:glass"},{}]}] as @e[type=!armor_stand, type=!player, type=!item, distance=..1.6, sort=nearest, limit=1] if entity @s[type=parrot] run give @p scute{CustomModelData:16029, display:{Name:'{"text":"Parrot"}'}}
execute as @e[type=item, nbt={Item:{id:"minecraft:glass"}, OnGround:1b}] at @s as @e[type=armor_stand, tag=dinnertable_spot, distance=..1, sort=nearest, limit=1] at @s if entity @s[nbt=!{HandItems:[{id:"minecraft:glass"},{}]}] as @e[type=!armor_stand, type=!player, type=!item, distance=..1, sort=nearest, limit=1] if entity @s[type=piglin_brute] run give @p scute{CustomModelData:16033, display:{Name:'{"text":"Piglin brute"}'}}
execute as @e[type=item, nbt={Item:{id:"minecraft:glass"}, OnGround:1b}] at @s as @e[type=armor_stand, tag=dinnertable_spot, distance=..1, sort=nearest, limit=1] at @s if entity @s[nbt=!{HandItems:[{id:"minecraft:glass"},{}]}] as @e[type=!armor_stand, type=!player, type=!item, distance=..1, sort=nearest, limit=1] if entity @s[type=rabbit] run give @p scute{CustomModelData:16037, display:{Name:'{"text":"Rabbit"}'}}
execute as @e[type=item, nbt={Item:{id:"minecraft:glass"}, OnGround:1b}] at @s as @e[type=armor_stand, tag=dinnertable_spot, distance=..1, sort=nearest, limit=1] at @s if entity @s[nbt=!{HandItems:[{id:"minecraft:glass"},{}]}] as @e[type=!armor_stand, type=!player, type=!item, distance=..1.6, sort=nearest, limit=1] if entity @s[type=vex] run give @p scute{CustomModelData:16053, display:{Name:'{"text":"Vex"}'}}
execute as @e[type=item, nbt={Item:{id:"minecraft:glass"}, OnGround:1b}] at @s as @e[type=armor_stand, tag=dinnertable_spot, distance=..1, sort=nearest, limit=1] at @s if entity @s[nbt=!{HandItems:[{id:"minecraft:glass"},{}]}] as @e[type=!armor_stand, type=!player, type=!item, distance=..1, sort=nearest, limit=1] if entity @s[type=vindicator] run give @p scute{CustomModelData:16055, display:{Name:'{"text":"Vindicator"}'}}
execute as @e[type=item, nbt={Item:{id:"minecraft:glass"}, OnGround:1b}] at @s as @e[type=armor_stand, tag=dinnertable_spot, distance=..1, sort=nearest, limit=1] at @s if entity @s[nbt=!{HandItems:[{id:"minecraft:glass"},{}]}] as @e[type=!armor_stand, type=!player, type=!item, distance=..1, sort=nearest, limit=1] if entity @s[type=witch] run give @p scute{CustomModelData:16057, display:{Name:'{"text":"Witch"}'}}
execute as @e[type=item, nbt={Item:{id:"minecraft:glass"}, OnGround:1b}] at @s as @e[type=armor_stand, tag=dinnertable_spot, distance=..1, sort=nearest, limit=1] at @s if entity @s[nbt=!{HandItems:[{id:"minecraft:glass"},{}]}] as @e[type=!armor_stand, type=!player, type=!item, distance=..1, sort=nearest, limit=1] if entity @s[type=cat, nbt={CatType:2}] run give @p scute{CustomModelData:16004002, display:{Name:'{"text":"Cat"}'}}
execute as @e[type=item, nbt={Item:{id:"minecraft:glass"}, OnGround:1b}] at @s as @e[type=armor_stand, tag=dinnertable_spot, distance=..1, sort=nearest, limit=1] at @s if entity @s[nbt=!{HandItems:[{id:"minecraft:glass"},{}]}] as @e[type=!armor_stand, type=!player, type=!item, distance=..1, sort=nearest, limit=1] if entity @s[type=cat, nbt={CatType:5}] run give @p scute{CustomModelData:16004005, display:{Name:'{"text":"Cat"}'}}
execute as @e[type=item, nbt={Item:{id:"minecraft:glass"}, OnGround:1b}] at @s as @e[type=armor_stand, tag=dinnertable_spot, distance=..1, sort=nearest, limit=1] at @s if entity @s[nbt=!{HandItems:[{id:"minecraft:glass"},{}]}] as @e[type=!armor_stand, type=!player, type=!item, distance=..1, sort=nearest, limit=1] if entity @s[type=cat, nbt={CatType:9}] run give @p scute{CustomModelData:16004009, display:{Name:'{"text":"Cat"}'}}


execute as @e[type=item, nbt={Item:{id:"minecraft:glass"}, OnGround:1b}] at @s as @e[type=armor_stand, tag=dinnertable_spot, distance=..1, sort=nearest, limit=1] at @s if entity @s[nbt=!{HandItems:[{id:"minecraft:glass"},{}]}] run tp @e[type=!armor_stand, type=!player, type=!item, sort=nearest, limit=1, distance=..1] ~ -999 ~
execute as @e[type=item, nbt={Item:{id:"minecraft:glass"}, OnGround:1b}] at @s as @e[type=armor_stand, tag=dinnertable_spot, distance=..1, sort=nearest, limit=1] at @s if entity @s[nbt=!{HandItems:[{id:"minecraft:glass"},{}]}] run tp @e[type=parrot, sort=nearest, limit=1, distance=..1.6] ~ -999 ~
execute as @e[type=item, nbt={Item:{id:"minecraft:glass"}, OnGround:1b}] at @s as @e[type=armor_stand, tag=dinnertable_spot, distance=..1, sort=nearest, limit=1] at @s if entity @s[nbt=!{HandItems:[{id:"minecraft:glass"},{}]}] run tp @e[type=vex, sort=nearest, limit=1, distance=..1.6] ~ -999 ~

execute as @e[type=item, nbt={Item:{id:"minecraft:glass"}, OnGround:1b}] at @s as @e[type=armor_stand, tag=dinnertable_spot, distance=..1, sort=nearest, limit=1] at @s if entity @s[nbt=!{HandItems:[{id:"minecraft:glass"},{}]}] as @e[type=item, nbt=!{Item:{id:"minecraft:glass"}}, distance=..1, sort=nearest, limit=1, tag=on_dinner_table] run data modify entity @s PickupDelay set value 0s
#execute as @e[type=item, nbt={Item:{id:"minecraft:glass"}, OnGround:1b}] at @s as @e[type=armor_stand, tag=dinnertable_spot, distance=..1, sort=nearest, limit=1] at @s if entity @s[nbt=!{HandItems:[{id:"minecraft:glass"},{}]}] as @e[type=item, nbt=!{Item:{id:"minecraft:glass"}}, distance=..1, sort=nearest, limit=1, tag=on_dinner_table] run tag @s remove on_dinner_table
execute as @e[type=item, nbt={Item:{id:"minecraft:glass"}, OnGround:1b}] at @s as @e[type=armor_stand, tag=dinnertable_spot, distance=..1, sort=nearest, limit=1] at @s if entity @s[nbt=!{HandItems:[{id:"minecraft:glass"},{}]}] as @e[type=item, nbt=!{Item:{id:"minecraft:glass"}}, distance=..1, sort=nearest, limit=1, tag=on_dinner_table] run tp @s @p[sort=nearest, limit=1]

execute as @e[type=item, nbt={Item:{id:"minecraft:glass"}, OnGround:1b}] at @s as @e[type=armor_stand, tag=dinnertable_spot, distance=..1, sort=nearest, limit=1] at @s if entity @s[nbt=!{HandItems:[{id:"minecraft:glass"},{}]}] run data modify entity @s HandItems[0] set value {id:"minecraft:glass", Count:1b}
execute as @e[type=item, nbt={Item:{id:"minecraft:glass"}, OnGround:1b}] run kill @s

# Rotate placed mob
execute as @e[type=!armor_stand, type=!player, type=!item, x=217,y=231,z=204,dx=2,dy=2,dz=15] run data modify entity @s Rotation set value [90.0f, 0.0f]
execute as @e[type=!armor_stand, type=!player, type=!item, x=215,y=231,z=204,dx=1,dy=2,dz=15] run data modify entity @s Rotation set value [270.0f, 0.0f]
execute as @e[type=!armor_stand, type=!player, type=!item, x=217,y=231,z=204,dx=0,dy=2,dz=6] run data modify entity @s Rotation set value [0.0f, 0.0f]
execute as @e[type=!armor_stand, type=!player, type=!item, x=217,y=231,z=213,dx=0,dy=2,dz=6] run data modify entity @s Rotation set value [180.0f, 0.0f]

# Get meat when the rabbit and cow are thrown on the stonecutter
execute as @e[type=item, nbt={Item:{id:"minecraft:scute", tag:{CustomModelData:16008}}, OnGround:1b}] at @s if block ~ ~ ~ stonecutter if entity @a[sort=nearest, limit=1, scores={inv_cake=0}] run tellraw @a [{"color":"red", "text":"[Cow] "}, {"color":"white", "text":"No no, please don't kill me. I am useful. I see that you do not have cake. You need my milk to make cake, right?"}]
execute as @e[type=item, nbt={Item:{id:"minecraft:scute", tag:{CustomModelData:16008}}, OnGround:1b}] at @s if block ~ ~ ~ stonecutter if entity @a[sort=nearest, limit=1, scores={inv_cake=0}] run data modify entity @s PickupDelay set value 0s
execute as @e[type=item, nbt={Item:{id:"minecraft:scute", tag:{CustomModelData:16008}}, OnGround:1b}] at @s if block ~ ~ ~ stonecutter if entity @a[sort=nearest, limit=1, scores={inv_cake=0}] run tp @s @a[sort=nearest, limit=1]
execute as @e[type=item, nbt={Item:{id:"minecraft:scute", tag:{CustomModelData:16008}}, OnGround:1b}] at @s if block ~ ~ ~ stonecutter if entity @a[sort=nearest, limit=1, scores={inv_cake=1..}] run summon item ~ ~ ~ {Item:{id:"beef", Count:1}}
execute as @e[type=item, nbt={Item:{id:"minecraft:scute", tag:{CustomModelData:16008}}, OnGround:1b}] at @s if block ~ ~ ~ stonecutter if entity @a[sort=nearest, limit=1, scores={inv_cake=1..}] run kill @s
execute as @e[type=item, nbt={Item:{id:"minecraft:scute", tag:{CustomModelData:16037}}, OnGround:1b}] at @s if block ~ ~ ~ stonecutter run summon item ~ ~ ~ {Item:{id:"rabbit", Count:1}}
execute as @e[type=item, nbt={Item:{id:"minecraft:scute", tag:{CustomModelData:16037}}, OnGround:1b}] at @s if block ~ ~ ~ stonecutter run kill @s



### Count if a cake is in an inventory
execute as @a store result score @s inv_cake run clear @s cake 0



### A player has either 0 or at least 32 glass in their inventory
execute as @a store result score @s inv_glass run clear @s glass 0
execute as @a[scores = {inv_glass = 1..31}] run give @s glass 1



### Remove all chickens and their loot immediatly (those from throwing eggs)
kill @e[type=chicken]



### Set dropper spawnpoints
execute if score i_current_area variables matches 21 run spawnpoint @a 215 231 246 270
execute if score i_current_area variables matches 22 run spawnpoint @a 215 231 287 270
execute if score i_current_area variables matches 23 run spawnpoint @a 208 231 245 90
execute if score i_current_area variables matches 24 run spawnpoint @a 208 231 286 90
execute if score i_current_area variables matches 25 run spawnpoint @a 215 231 328 270
execute if score i_current_area variables matches 26 run spawnpoint @a 208 231 327 90
execute if score i_current_area variables matches 27 run spawnpoint @a 215 231 369 270
execute if score i_current_area variables matches 28 run spawnpoint @a 208 231 369 90



### 16 level finishes giving hints
execute if entity @a[x=231,y=2,z=227, dx=1,dy=1,dz=1] if score b_dropper_won_left_1 variables matches 0 as 6c41201c-4ccc-4e6f-a220-88b30d85889f at @s run tp ~ ~20 ~
execute if entity @a[x=231,y=2,z=227, dx=1,dy=1,dz=1] if score b_dropper_won_left_1 variables matches 0 run tellraw @a [{"color":"red", "text":"[Cat] "}, {"color":"white", "text":"I don't really like parties. What did you say? There is a bird at this party? I will definitily come to this party of yours!"}]
execute if entity @a[x=231,y=2,z=227, dx=1,dy=1,dz=1] if score b_dropper_won_left_1 variables matches 0 run give @a written_book{pages:['{"text":"I don\'t really like parties. What did you say? There is a bird at this party? I will definitily come to this party of yours!"}'], title:"Cat's hint", author:"Cat"}
execute if entity @a[x=231,y=2,z=227, dx=1,dy=1,dz=1] if score b_dropper_won_left_1 variables matches 0 run give @a scute{CustomModelData:16004002, display:{Name:'{"text":"Cat"}'}}
execute if entity @a[x=231,y=2,z=227, dx=1,dy=1,dz=1] if score b_dropper_won_left_1 variables matches 0 run fill 214 231 244 214 234 247 red_concrete replace light_gray_concrete
execute if entity @a[x=231,y=2,z=227, dx=1,dy=1,dz=1] if score b_dropper_won_left_1 variables matches 0 run scoreboard players set b_dropper_won_left_1 variables 1

execute if entity @a[x=249,y=2,z=286, dx=1,dy=1,dz=1] if score b_dropper_won_left_2 variables matches 0 as db1f5638-426c-4cb9-8ff2-f2eac9a8b3b0 at @s run tp ~ ~20 ~
execute if entity @a[x=249,y=2,z=286, dx=1,dy=1,dz=1] if score b_dropper_won_left_2 variables matches 0 run tellraw @a [{"color":"red", "text":"[Cow] "}, {"color":"white", "text":"I eat mostly grass. But sometimes I mess up and eat some flowers too. They are not that bad. By the way, did you know that the blaze likes to eat pitch dark flowers? Wait. I shouldn't have said that. Please don't tell anyone I told you. He is going to roast me for spilling his secret."}]
execute if entity @a[x=249,y=2,z=286, dx=1,dy=1,dz=1] if score b_dropper_won_left_2 variables matches 0 run give @a written_book{pages:['{"text":"I eat mostly grass. But sometimes I mess up and eat some flowers too. They are not that bad. By the way, did you know that the blaze likes to eat pitch dark flowers? Wait. I shouldn\'t have said that. Please don\'t tell anyone I told you. He is going to roast me for spilling his secret."}'], title:"Cow's hint", author:"Cow"}
execute if entity @a[x=249,y=2,z=286, dx=1,dy=1,dz=1] if score b_dropper_won_left_2 variables matches 0 run give @a scute{CustomModelData:16008, display:{Name:'{"text":"Cow"}'}}
execute if entity @a[x=249,y=2,z=286, dx=1,dy=1,dz=1] if score b_dropper_won_left_2 variables matches 0 run fill 214 231 285 214 234 288 red_concrete replace light_gray_concrete
execute if entity @a[x=249,y=2,z=286, dx=1,dy=1,dz=1] if score b_dropper_won_left_2 variables matches 0 run scoreboard players set b_dropper_won_left_2 variables 1

execute if entity @a[x=249,y=2,z=327, dx=1,dy=1,dz=1] if score b_dropper_won_left_3 variables matches 0 as dcb0fdb8-c74a-41c4-b5dc-c079987a416b at @s run tp ~ ~20 ~
execute if entity @a[x=249,y=2,z=327, dx=1,dy=1,dz=1] if score b_dropper_won_left_3 variables matches 0 run tellraw @a [{"color":"red", "text":"[Blaze] "}, {"color":"white", "text":"I don't want anyone to sit right in front of me, I will set them on fire when I see them."}]
execute if entity @a[x=249,y=2,z=327, dx=1,dy=1,dz=1] if score b_dropper_won_left_3 variables matches 0 run give @a written_book{pages:['{"text":"I don\'t want anyone to sit right in front of me, I will set them on fire when I see them."}'], title:"Blaze's hint", author:"Blaze"}
execute if entity @a[x=249,y=2,z=327, dx=1,dy=1,dz=1] if score b_dropper_won_left_3 variables matches 0 run give @a scute{CustomModelData:16003, display:{Name:'{"text":"Blaze"}'}}
execute if entity @a[x=249,y=2,z=327, dx=1,dy=1,dz=1] if score b_dropper_won_left_3 variables matches 0 run fill 214 231 326 214 234 329 red_concrete replace light_gray_concrete
execute if entity @a[x=249,y=2,z=327, dx=1,dy=1,dz=1] if score b_dropper_won_left_3 variables matches 0 run scoreboard players set b_dropper_won_left_3 variables 1

execute if entity @a[x=249,y=2,z=368, dx=1,dy=1,dz=1] if score b_dropper_won_left_4 variables matches 0 as 8ba5084c-8c8b-45de-95f7-6b3b30565d43 at @s run tp ~ ~20 ~
execute if entity @a[x=249,y=2,z=368, dx=1,dy=1,dz=1] if score b_dropper_won_left_4 variables matches 0 run tellraw @a [{"color":"red", "text":"[Vex] "}, {"color":"white", "text":"I want a winged neighbour, and a raid neighbour. It makes me feel at ease. The one I look at must also have an X."}]
execute if entity @a[x=249,y=2,z=368, dx=1,dy=1,dz=1] if score b_dropper_won_left_4 variables matches 0 run give @a written_book{pages:['{"text":"I want a winged neighbour, and a raid neighbour. It makes me feel at ease. The one I look at must also have an X."}'], title:"Vex's hint", author:"Vex"}
execute if entity @a[x=249,y=2,z=368, dx=1,dy=1,dz=1] if score b_dropper_won_left_4 variables matches 0 run give @a scute{CustomModelData:16053, display:{Name:'{"text":"Vex"}'}}
execute if entity @a[x=249,y=2,z=368, dx=1,dy=1,dz=1] if score b_dropper_won_left_4 variables matches 0 run fill 214 231 367 214 234 370 red_concrete replace light_gray_concrete
execute if entity @a[x=249,y=2,z=368, dx=1,dy=1,dz=1] if score b_dropper_won_left_4 variables matches 0 run scoreboard players set b_dropper_won_left_4 variables 1

execute if entity @a[x=209,y=2,z=245, dx=1,dy=1,dz=1] if score b_dropper_won_right_1 variables matches 0 run tellraw @a [{"color":"red", "text":"[Knowledge 1] "}, {"color":"white", "text":"Creepers love cakes. It is the only food stored outside of a chest. It is hard to open a chest without arms, did you know?"}]
execute if entity @a[x=209,y=2,z=245, dx=1,dy=1,dz=1] if score b_dropper_won_right_1 variables matches 0 run give @a written_book{pages:['{"text":"Creepers love cakes. It is the only food stored outside of a chest. It is hard to open a chest without arms, did you know?"}'], title:"Knowledge 1's hint", author:"Knowledge 1"}
execute if entity @a[x=209,y=2,z=245, dx=1,dy=1,dz=1] if score b_dropper_won_right_1 variables matches 0 run fill 209 231 247 209 234 244 red_concrete replace light_gray_concrete
execute if entity @a[x=209,y=2,z=245, dx=1,dy=1,dz=1] if score b_dropper_won_right_1 variables matches 0 run scoreboard players set b_dropper_won_right_1 variables 1

execute if entity @a[x=209,y=2,z=286, dx=1,dy=1,dz=1] if score b_dropper_won_right_2 variables matches 0 as 7f03535c-114a-42d3-86be-199db5ebca0a at @s run tp ~ ~20 ~
execute if entity @a[x=209,y=2,z=286, dx=1,dy=1,dz=1] if score b_dropper_won_right_2 variables matches 0 run tellraw @a [{"color":"red", "text":"[Cave spider] "}, {"color":"white", "text":"I feel at ease next to a witch. She gets me, you know. As for food. Mind my bad eyes, but I would love to have some of that prickly yellow sphere. It is outright delicious!"}]
execute if entity @a[x=209,y=2,z=286, dx=1,dy=1,dz=1] if score b_dropper_won_right_2 variables matches 0 run give @a written_book{pages:['{"text":"I feel at ease next to a witch. She gets me, you know. As for food. Mind my bad eyes, but I would love to have some of that prickly yellow sphere. It is outright delicious!"}'], title:"Cave spider's hint", author:"Cave spider"}
execute if entity @a[x=209,y=2,z=286, dx=1,dy=1,dz=1] if score b_dropper_won_right_2 variables matches 0 run give @a scute{CustomModelData:16005, display:{Name:'{"text":"Cave spider"}'}}
execute if entity @a[x=209,y=2,z=286, dx=1,dy=1,dz=1] if score b_dropper_won_right_2 variables matches 0 run fill 209 231 288 209 234 285 red_concrete replace light_gray_concrete
execute if entity @a[x=209,y=2,z=286, dx=1,dy=1,dz=1] if score b_dropper_won_right_2 variables matches 0 run scoreboard players set b_dropper_won_right_2 variables 1

execute if entity @a[x=209,y=2,z=327, dx=1,dy=1,dz=1] if score b_dropper_won_right_3 variables matches 0 run tellraw @a [{"color":"red", "text":"[Knowledge 2] "}, {"color":"white", "text":"A lesser known fact is that endermite love honey. Or maybe our endermite guest has a special tongue."}]
execute if entity @a[x=209,y=2,z=327, dx=1,dy=1,dz=1] if score b_dropper_won_right_3 variables matches 0 run give @a written_book{pages:['{"text":"A lesser known fact is that endermite love honey. Or maybe our endermite guest has a special tongue."}'], title:"Knowledge 2's hint", author:"Knowledge 2"}
execute if entity @a[x=209,y=2,z=327, dx=1,dy=1,dz=1] if score b_dropper_won_right_3 variables matches 0 run fill 209 231 329 209 234 326 red_concrete replace light_gray_concrete
execute if entity @a[x=209,y=2,z=327, dx=1,dy=1,dz=1] if score b_dropper_won_right_3 variables matches 0 run scoreboard players set b_dropper_won_right_3 variables 1

execute if entity @a[x=209,y=2,z=368, dx=1,dy=1,dz=1] if score b_dropper_won_right_4 variables matches 0 as 6ef46b97-1eb0-4557-b454-b50727493fb7 at @s run tp ~ ~20 ~
execute if entity @a[x=209,y=2,z=368, dx=1,dy=1,dz=1] if score b_dropper_won_right_4 variables matches 0 run tellraw @a [{"color":"red", "text":"[Cat] "}, {"color":"white", "text":"I love to dance on the table, take some food here and there. I am sure all cats like to be the center of the attention!"}]
execute if entity @a[x=209,y=2,z=368, dx=1,dy=1,dz=1] if score b_dropper_won_right_4 variables matches 0 run give @a written_book{pages:['{"text":"I love to dance on the table, take some food here and there. I am sure all cats like to be the center of the attention!"}'], title:"Cat's hint", author:"Cat"}
execute if entity @a[x=209,y=2,z=368, dx=1,dy=1,dz=1] if score b_dropper_won_right_4 variables matches 0 run give @a scute{CustomModelData:16004005, display:{Name:'{"text":"Cat"}'}}
execute if entity @a[x=209,y=2,z=368, dx=1,dy=1,dz=1] if score b_dropper_won_right_4 variables matches 0 run fill 209 231 370 209 234 367 red_concrete replace light_gray_concrete
execute if entity @a[x=209,y=2,z=368, dx=1,dy=1,dz=1] if score b_dropper_won_right_4 variables matches 0 run scoreboard players set b_dropper_won_right_4 variables 1



execute if entity @a[x=165,y=237,z=185, dx=1,dy=1,dz=1] if score b_parkour_won_left_1 variables matches 0 as 99d02016-da7f-42d9-a0ea-9eb4a9fa7091 at @s run tp ~ ~20 ~
execute if entity @a[x=165,y=237,z=185, dx=1,dy=1,dz=1] if score b_parkour_won_left_1 variables matches 0 run tellraw @a [{"color":"red", "text":"[Cat] "}, {"color":"white", "text":"I will party, I love parties! We cats do not care about exact positions, we like to run around anyways."}]
execute if entity @a[x=165,y=237,z=185, dx=1,dy=1,dz=1] if score b_parkour_won_left_1 variables matches 0 run give @a written_book{pages:['{"text":"I will party, I love parties! We cats do not care about exact positions, we like to run around anyways."}'], title:"Cat's hint", author:"Cat"}
execute if entity @a[x=165,y=237,z=185, dx=1,dy=1,dz=1] if score b_parkour_won_left_1 variables matches 0 run give @a scute{CustomModelData:16004009, display:{Name:'{"text":"Cat"}'}}
execute if entity @a[x=165,y=237,z=185, dx=1,dy=1,dz=1] if score b_parkour_won_left_1 variables matches 0 run fill 209 231 187 209 234 184 red_concrete replace light_gray_concrete
execute if entity @a[x=165,y=237,z=185, dx=1,dy=1,dz=1] if score b_parkour_won_left_1 variables matches 0 run scoreboard players set b_parkour_won_left_1 variables 1

execute if entity @a[x=165,y=237,z=176, dx=1,dy=1,dz=1] if score b_parkour_won_left_2 variables matches 0 as fbf4236d-f99a-4e84-adb5-7a6bd0dba954 at @s run tp ~ ~20 ~
execute if entity @a[x=165,y=237,z=176, dx=1,dy=1,dz=1] if score b_parkour_won_left_2 variables matches 0 run tellraw @a [{"color":"red", "text":"[Witch] "}, {"color":"white", "text":"I want to see the kitchen's smokers,  without looking sideways or backward. I want to see whether my stew is properly made and not just heated in a smoker!"}]
execute if entity @a[x=165,y=237,z=176, dx=1,dy=1,dz=1] if score b_parkour_won_left_2 variables matches 0 run give @a written_book{pages:['{"text":"I want to see the kitchen\'s smokers, without looking sideways or backward. I want to see whether my stew is properly made and not just heated in a smoker!"}'], title:"Witch's hint", author:"Witch"}
execute if entity @a[x=165,y=237,z=176, dx=1,dy=1,dz=1] if score b_parkour_won_left_2 variables matches 0 run give @a scute{CustomModelData:16057, display:{Name:'{"text":"Witch"}'}}
execute if entity @a[x=165,y=237,z=176, dx=1,dy=1,dz=1] if score b_parkour_won_left_2 variables matches 0 run fill 209 231 178 209 234 175 red_concrete replace light_gray_concrete
execute if entity @a[x=165,y=237,z=176, dx=1,dy=1,dz=1] if score b_parkour_won_left_2 variables matches 0 run scoreboard players set b_parkour_won_left_2 variables 1

execute if entity @a[x=165,y=237,z=167, dx=1,dy=1,dz=1] if score b_parkour_won_left_3 variables matches 0 as 27587b19-4d00-43a4-8bac-38842c144871 at @s run tp ~ ~20 ~
execute if entity @a[x=165,y=237,z=167, dx=1,dy=1,dz=1] if score b_parkour_won_left_3 variables matches 0 run tellraw @a [{"color":"red", "text":"[Parrot] "}, {"color":"white", "text":"I like seeds. Any seeds. Except for the wheat ones, I've had enough of those."}]
execute if entity @a[x=165,y=237,z=167, dx=1,dy=1,dz=1] if score b_parkour_won_left_3 variables matches 0 run give @a written_book{pages:['{"text":"I like seeds. Any seeds. Except for the wheat ones, I\'ve had enough of those."}'], title:"Parrot's hint", author:"Parrot"}
execute if entity @a[x=165,y=237,z=167, dx=1,dy=1,dz=1] if score b_parkour_won_left_3 variables matches 0 run give @a scute{CustomModelData:16029, display:{Name:'{"text":"Parrot"}'}}
execute if entity @a[x=165,y=237,z=167, dx=1,dy=1,dz=1] if score b_parkour_won_left_3 variables matches 0 run fill 209 231 169 209 234 166 red_concrete replace light_gray_concrete
execute if entity @a[x=165,y=237,z=167, dx=1,dy=1,dz=1] if score b_parkour_won_left_3 variables matches 0 run scoreboard players set b_parkour_won_left_3 variables 1

execute if entity @a[x=165,y=237,z=158, dx=1,dy=1,dz=1] if score b_parkour_won_left_4 variables matches 0 as 9a766b4d-0bfc-4e8a-b769-3d9afdfaddc8 at @s run tp ~ ~20 ~
execute if entity @a[x=165,y=237,z=158, dx=1,dy=1,dz=1] if score b_parkour_won_left_4 variables matches 0 run tellraw @a [{"color":"red", "text":"[Fox] "}, {"color":"white", "text":"I usually don't like water that much. But when I see a salmon, I can't keep my cool and dive in. I love raw salmon. My neighbours should also eat either fish or meat, or the tasty smell of salmon will be lost."}]
execute if entity @a[x=165,y=237,z=158, dx=1,dy=1,dz=1] if score b_parkour_won_left_4 variables matches 0 run give @a written_book{pages:['{"text":"I usually don\'t like water that much. But when I see a salmon, I can\'t keep my cool and dive in. I love raw salmon. My neighbours should also eat either fish or meat, or the tasty smell of salmon will be lost."}'], title:"Fox's hint", author:"Fox"}
execute if entity @a[x=165,y=237,z=158, dx=1,dy=1,dz=1] if score b_parkour_won_left_4 variables matches 0 run give @a scute{CustomModelData:16017, display:{Name:'{"text":"Fox"}'}}
execute if entity @a[x=165,y=237,z=158, dx=1,dy=1,dz=1] if score b_parkour_won_left_4 variables matches 0 run fill 209 231 160 209 234 157 red_concrete replace light_gray_concrete
execute if entity @a[x=165,y=237,z=158, dx=1,dy=1,dz=1] if score b_parkour_won_left_4 variables matches 0 run scoreboard players set b_parkour_won_left_4 variables 1

execute if entity @a[x=257,y=237,z=185, dx=1,dy=1,dz=1] if score b_parkour_won_right_1 variables matches 0 as aef90812-3e50-49d3-b177-da12f9d5b613 at @s run tp ~ ~20 ~
execute if entity @a[x=257,y=237,z=185, dx=1,dy=1,dz=1] if score b_parkour_won_right_1 variables matches 0 run tellraw @a [{"color":"red", "text":"[Piglin brute] "}, {"color":"white", "text":"I want a chair befitting my status. Mighty big! I want to look my axe mate in the eyes while eating delicously cooked hoglin meat. It would also be great if I had a fiery friend on my right side."}]
execute if entity @a[x=257,y=237,z=185, dx=1,dy=1,dz=1] if score b_parkour_won_right_1 variables matches 0 run give @a written_book{pages:['{"text":"I want a chair befitting my status. Mighty big! I want to look my axe mate in the eyes while eating delicously cooked hoglin meat. It would also be great if I had a fiery friend on my right side."}'], title:"Piglin brute's hint", author:"Piglin brute"}
execute if entity @a[x=257,y=237,z=185, dx=1,dy=1,dz=1] if score b_parkour_won_right_1 variables matches 0 run give @a scute{CustomModelData:16033, display:{Name:'{"text":"Piglin brute"}'}}
execute if entity @a[x=257,y=237,z=185, dx=1,dy=1,dz=1] if score b_parkour_won_right_1 variables matches 0 run fill 214 231 184 214 234 187 red_concrete replace light_gray_concrete
execute if entity @a[x=257,y=237,z=185, dx=1,dy=1,dz=1] if score b_parkour_won_right_1 variables matches 0 run scoreboard players set b_parkour_won_right_1 variables 1

execute if entity @a[x=257,y=237,z=176, dx=1,dy=1,dz=1] if score b_parkour_won_right_2 variables matches 0 as bc5ca36f-4240-4dc6-82c8-5c1549752c3c at @s run tp ~ ~20 ~
execute if entity @a[x=257,y=237,z=176, dx=1,dy=1,dz=1] if score b_parkour_won_right_2 variables matches 0 run tellraw @a [{"color":"red", "text":"[Creeper] "}, {"color":"white", "text":"I would like to be the tallest on my side of the table. If that is not too much to ask."}]
execute if entity @a[x=257,y=237,z=176, dx=1,dy=1,dz=1] if score b_parkour_won_right_2 variables matches 0 run give @a written_book{pages:['{"text":"I would like to be the tallest on my side of the table. If that is not too much to ask."}'], title:"Creeper's hint", author:"Creeper"}
execute if entity @a[x=257,y=237,z=176, dx=1,dy=1,dz=1] if score b_parkour_won_right_2 variables matches 0 run give @a scute{CustomModelData:16009, display:{Name:'{"text":"Creeper"}'}}
execute if entity @a[x=257,y=237,z=176, dx=1,dy=1,dz=1] if score b_parkour_won_right_2 variables matches 0 run fill 214 231 175 214 234 178 red_concrete replace light_gray_concrete
execute if entity @a[x=257,y=237,z=176, dx=1,dy=1,dz=1] if score b_parkour_won_right_2 variables matches 0 run scoreboard players set b_parkour_won_right_2 variables 1
      
execute if entity @a[x=257,y=237,z=167, dx=1,dy=1,dz=1] if score b_parkour_won_right_3 variables matches 0 as 02206c6e-03d2-418c-a91b-422f76df034e at @s run tp ~ ~20 ~
execute if entity @a[x=257,y=237,z=167, dx=1,dy=1,dz=1] if score b_parkour_won_right_3 variables matches 0 run tellraw @a [{"color":"red", "text":"[Vindicator] "}, {"color":"white", "text":"I always love a piece of meat. Can I have villa-. Oh that is not on the menu? I see. Please give me a well done steak then."}]
execute if entity @a[x=257,y=237,z=167, dx=1,dy=1,dz=1] if score b_parkour_won_right_3 variables matches 0 run give @a written_book{pages:['{"text":"I always love a piece of meat. Can I have villa-. Oh that is not on the menu? I see. Please give me a well done steak then."}'], title:"Vindicator's hint", author:"Vindicator"}
execute if entity @a[x=257,y=237,z=167, dx=1,dy=1,dz=1] if score b_parkour_won_right_3 variables matches 0 run give @a scute{CustomModelData:16055, display:{Name:'{"text":"Vindicator"}'}}
execute if entity @a[x=257,y=237,z=167, dx=1,dy=1,dz=1] if score b_parkour_won_right_3 variables matches 0 run fill 214 231 166 214 234 169 red_concrete replace light_gray_concrete
execute if entity @a[x=257,y=237,z=167, dx=1,dy=1,dz=1] if score b_parkour_won_right_3 variables matches 0 run scoreboard players set b_parkour_won_right_3 variables 1
       
execute if entity @a[x=257,y=237,z=158, dx=1,dy=1,dz=1] if score b_parkour_won_right_4 variables matches 0 as b4d64bed-91f4-4b03-875d-5a001925152d at @s run tp ~ ~20 ~
execute if entity @a[x=257,y=237,z=158, dx=1,dy=1,dz=1] if score b_parkour_won_right_4 variables matches 0 run tellraw @a [{"color":"red", "text":"[Rabbit] "}, {"color":"white", "text":"I obviously love carrots. Or is that a myth? Anyways. Don't tell anyone, but I am scared of Vexes. Why you ask? Because they love to eat rabbits from a bowl."}]
execute if entity @a[x=257,y=237,z=158, dx=1,dy=1,dz=1] if score b_parkour_won_right_4 variables matches 0 run give @a written_book{pages:['{"text":"I obviously love carrots. Or is that a myth? Anyways. Don\'t tell anyone, but I am scared of Vexes. Why you ask? Because they love to eat rabbits from a bowl."}'], title:"Rabbit's hint", author:"Rabbit"}
execute if entity @a[x=257,y=237,z=158, dx=1,dy=1,dz=1] if score b_parkour_won_right_4 variables matches 0 run give @a scute{CustomModelData:16037, display:{Name:'{"text":"Rabbit"}'}}
execute if entity @a[x=257,y=237,z=158, dx=1,dy=1,dz=1] if score b_parkour_won_right_4 variables matches 0 run fill 214 231 157 214 234 160 red_concrete replace light_gray_concrete
execute if entity @a[x=257,y=237,z=158, dx=1,dy=1,dz=1] if score b_parkour_won_right_4 variables matches 0 run scoreboard players set b_parkour_won_right_4 variables 1



### Test for table puzzle solved
scoreboard players set i_correct_spots variables 0
execute positioned 219.5 231.5 207.5 as @e[type=!player, type=!armor_stand, sort=nearest, limit=1, distance=..0.6] if entity @s[type=endermite] run scoreboard players add i_correct_spots variables 1
execute positioned 219.5 231.5 210.5 as @e[type=!player, type=!armor_stand, sort=nearest, limit=1, distance=..0.6] if entity @s[type=creeper] run scoreboard players add i_correct_spots variables 1
execute positioned 219.5 232.5 213.5 as @e[type=!player, type=!armor_stand, sort=nearest, limit=1, distance=..0.6] if entity @s[type=parrot] run scoreboard players add i_correct_spots variables 1
execute positioned 219.5 232.5 216.5 as @e[type=!player, type=!armor_stand, sort=nearest, limit=1, distance=..0.6] if entity @s[type=vex] run scoreboard players add i_correct_spots variables 1

execute positioned 218.5 232.5 207.5 as @e[type=!player, type=!armor_stand, sort=nearest, limit=1, distance=..0.6] if entity @s[type=item, nbt={Item:{id:"minecraft:honey_bottle"}}] run scoreboard players add i_correct_spots variables 1
execute positioned 218.5 232.5 210.5 as @e[type=!player, type=!armor_stand, sort=nearest, limit=1, distance=..0.6] if entity @s[type=item, nbt={Item:{id:"minecraft:cake"}}] run scoreboard players add i_correct_spots variables 1
execute positioned 218.5 232.5 213.5 as @e[type=!player, type=!armor_stand, sort=nearest, limit=1, distance=..0.6] if entity @s[type=item, nbt={Item:{id:"minecraft:beetroot_seeds"}}] run scoreboard players add i_correct_spots variables 1
execute positioned 218.5 232.5 216.5 as @e[type=!player, type=!armor_stand, sort=nearest, limit=1, distance=..0.6] if entity @s[type=item, nbt={Item:{id:"minecraft:rabbit_stew"}}] run scoreboard players add i_correct_spots variables 1

execute positioned 217.5 231.5 204.5 as @e[type=!player, type=!armor_stand, sort=nearest, limit=1, distance=..0.6] if entity @s[type=piglin_brute] run scoreboard players add i_correct_spots variables 1
execute positioned 217.5 232.5 205.5 as @e[type=!player, type=!armor_stand, sort=nearest, limit=1, distance=..0.6] if entity @s[type=item, nbt={Item:{tag:{display:{Name:'{"text":"Cooked hoglin meat"}'}}}}] run scoreboard players add i_correct_spots variables 1
execute positioned 217.5 232.5 209.0 as @e[type=!player, type=!armor_stand, sort=nearest, limit=1, distance=..0.6] if entity @s[type=cat] run scoreboard players add i_correct_spots variables 1
execute positioned 217.5 232.5 212.0 as @e[type=!player, type=!armor_stand, sort=nearest, limit=1, distance=..0.6] if entity @s[type=cat] run scoreboard players add i_correct_spots variables 1
execute positioned 217.5 232.5 215.0 as @e[type=!player, type=!armor_stand, sort=nearest, limit=1, distance=..0.6] if entity @s[type=cat] run scoreboard players add i_correct_spots variables 1
execute positioned 217.5 232.5 218.5 as @e[type=!player, type=!armor_stand, sort=nearest, limit=1, distance=..0.6] if entity @s[type=item, nbt={Item:{id:"minecraft:cooked_beef"}}] run scoreboard players add i_correct_spots variables 1
execute positioned 217.5 231.5 219.5 as @e[type=!player, type=!armor_stand, sort=nearest, limit=1, distance=..0.6] if entity @s[type=vindicator] run scoreboard players add i_correct_spots variables 1

execute positioned 216.5 232.5 207.5 as @e[type=!player, type=!armor_stand, sort=nearest, limit=1, distance=..0.6] if entity @s[type=item, nbt={Item:{id:"minecraft:wither_rose"}}] run scoreboard players add i_correct_spots variables 1
execute positioned 216.5 232.5 210.5 as @e[type=!player, type=!armor_stand, sort=nearest, limit=1, distance=..0.6] if entity @s[type=item, nbt={Item:{id:"minecraft:suspicious_stew"}}] run scoreboard players add i_correct_spots variables 1
execute positioned 216.5 232.5 213.5 as @e[type=!player, type=!armor_stand, sort=nearest, limit=1, distance=..0.6] if entity @s[type=item, nbt={Item:{id:"minecraft:pufferfish"}}] run scoreboard players add i_correct_spots variables 1
execute positioned 216.5 232.5 216.5 as @e[type=!player, type=!armor_stand, sort=nearest, limit=1, distance=..0.6] if entity @s[type=item, nbt={Item:{id:"minecraft:salmon"}}] run scoreboard players add i_correct_spots variables 1

execute positioned 215.5 231.5 207.5 as @e[type=!player, type=!armor_stand, sort=nearest, limit=1, distance=..0.6] if entity @s[type=blaze] run scoreboard players add i_correct_spots variables 1
execute positioned 215.5 231.5 210.5 as @e[type=!player, type=!armor_stand, sort=nearest, limit=1, distance=..0.6] if entity @s[type=witch] run scoreboard players add i_correct_spots variables 1
execute positioned 215.5 231.5 213.5 as @e[type=!player, type=!armor_stand, sort=nearest, limit=1, distance=..0.6] if entity @s[type=cave_spider] run scoreboard players add i_correct_spots variables 1
execute positioned 215.5 231.5 216.5 as @e[type=!player, type=!armor_stand, sort=nearest, limit=1, distance=..0.6] if entity @s[type=fox] run scoreboard players add i_correct_spots variables 1

data modify block 204 232 204 Text3 set value '[{"score":{"name":"i_correct_spots","objective":"variables"}},{"text":"/23"}]'

execute if score b_finished_map variables matches 0 if score i_correct_spots variables matches 23 run clone 208 221 207 214 225 215 208 231 207 filtered minecraft:diamond_block
execute if score b_finished_map variables matches 0 if score i_correct_spots variables matches 23 as @a at @s run playsound voice.voice_win voice @a ~ ~ ~ 999 1
execute if score b_finished_map variables matches 0 if score i_correct_spots variables matches 23 run tellraw @a [{"color":"red", "text":"[Voice] "}, {"color":"white", "text":"Oh look at that, everyone is enjoying their meal. You did a great job. Have a bunch of diamonds."}]
execute if score b_finished_map variables matches 0 if score i_correct_spots variables matches 23 run tellraw @a [{"color":"aqua", "text":"[Info] "}, {"color":"white", "text":"Thanks for playing!"}]
execute if score b_finished_map variables matches 0 if score i_correct_spots variables matches 23 run scoreboard players set b_finished_map variables 1